Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.objects.StructMarkedContent Class Reference
Inheritance diagram for foxit.pdf.objects.StructMarkedContent:

## Public Member Functions
| StructMarkedContent ()
| Constructor.
int | GetMCID ()
| Get marked-content identifier(MCID). More...
StructElement | GetParentElement ()
| Get the parent structure element. More...
PDFDictionary | GetStmDict ()
| Get PDF dictionary of the content stream that contains the marked-content sequence. More...
PDFDictionary | GetStmOwnerDict ()
| Get PDF dictionary of content stream owner. More...
Public Member Functions inherited from foxit.pdf.objects.StructTreeEntity
| StructTreeEntity ()
| Constructor.
| StructTreeEntity (StructTreeEntity other)
| Constructor, with another structure element entity object. More...
PDFPage | GetPage ()
| Get the related PDF page. More...
StructTreeEntity.StructTreeEntityType | GetType ()
| Get structure tree entity type. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Additional Inherited Members
Public Types inherited from foxit.pdf.objects.StructTreeEntity
enum | StructTreeEntityType { StructTreeEntityType.e_UnknownType = -1, StructTreeEntityType.e_StructTreeEntityTypeElement = 0, StructTreeEntityType.e_StructTreeEntityTypeMarkedContent = 1, StructTreeEntityType.e_StructTreeEntityTypeObjectContent = 2 }
| Enumeration for structure tree entity type. More...

## Detailed Description

This class represents a marked-content item.

## Member Function Documentation

## ◆ GetMCID()

int foxit.pdf.objects.StructMarkedContent.GetMCID | ( |  | ) |
| inline

Get marked-content identifier(MCID).

Returns
  Marked-content identifier.

## ◆ GetParentElement()

StructElement foxit.pdf.objects.StructMarkedContent.GetParentElement | ( |  | ) |
| inline

Get the parent structure element.

Returns
  Parent structure element. If function StructElement::IsEmpty for the returned object returns true, that means current element does not have a parent element.

## ◆ GetStmDict()

PDFDictionary foxit.pdf.objects.StructMarkedContent.GetStmDict | ( |  | ) |
| inline

Get PDF dictionary of the content stream that contains the marked-content sequence.

The content stream containing the marked-content sequence. This entry should be present only if the marked-content sequence resides in a content stream other than the content stream for the page.

Returns
  PDF dictionary of content stream that contains the marked-content sequence.

## ◆ GetStmOwnerDict()

PDFDictionary foxit.pdf.objects.StructMarkedContent.GetStmOwnerDict | ( |  | ) |
| inline

Get PDF dictionary of content stream owner.

Returns
  PDF dictionary of content stream owner.